package com.ruoyi.orderPlan.domain;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 车队派车对象 F_TMSORDERBILLSCARS
 *
 * @author ruoyi
 * @date 2021-02-22
 */
public class Ftmsorderbillscars extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 主表id */
    @Excel(name = "主表id")
    private Long pId;

    /** 来源ID */
    private Long srcMId;

    public Long getSrcMId() {
        return srcMId;
    }

    public void setSrcMId(Long srcMId) {
        this.srcMId = srcMId;
    }

    /** 原始id */
    @Excel(name = "原始id")
    private Long orgId;

    /** 全局唯一流水YYMMNNNN */
    @Excel(name = "全局唯一流水YYMMNNNN")
    private String orderNo;

    /** 集装箱类型id，主表 */
    @Excel(name = "集装箱类型id，主表")
    private Long cntrId;

    /** 客户，主表 */
    @Excel(name = "客户id，主表")
    private Long corpId;

    /** 集装箱号 */
    @Excel(name = "集装箱号")
    private String cntrNo;

    /** 车队id，自动生成 */
    @Excel(name = "车队id，自动生成")
    private Long carcorPid;

    /** 提单号 */
    @Excel(name = "提单号")
    private String mblno;

    /** 车牌号 */
    @Excel(name = "车牌号")
    private String carregNo;

    /** 司机姓名 */
    @Excel(name = "司机姓名")
    private String driverName;

    /** 司机id */
    @Excel(name = "司机id")
    private Long driverUserId;

    /** 司机电话 */
    @Excel(name = "司机电话")
    private String driverTel;

    /** 派车提交时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "派车提交时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date planDate;

    /** 派车提交备注 */
    @Excel(name = "派车提交备注")
    private String planRemarks;

    /** 受理装车时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "受理装车时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date acceptDate;

    /** 司机受理备注 */
    @Excel(name = "司机受理备注")
    private String acceptRemarks;

    /** 实际装车时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "实际装车时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date loadDate;

    /** 司机装车备注 */
    @Excel(name = "司机装车备注")
    private String loadRemarks;

    /** 实际装卸货时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "实际装卸货时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date mdLoadDate;

    /** 出发时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "出发时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date offData;

    /** 出发备注 */
    @Excel(name = "出发备注")
    private String offRemarks;

    /** 实际装卸货备注 */
    @Excel(name = "实际装卸货备注")
    private String mdLoadRemarks;

    /** 实际卸车时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "实际卸车时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date unLoadDate;

    /** 实际卸车备注 */
    @Excel(name = "实际卸车备注")
    private String unLoadRemarks;

    /** 回单时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "回单时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date waybillDate;

    /** 散货运输时装车数 */
    @Excel(name = "散货运输时装车数")
    private BigDecimal qtyLoad;

    /** 散货运输时卸车数 */
    @Excel(name = "散货运输时卸车数")
    private BigDecimal qtyUnLoad;

    /** 本次车辆拉的箱量 */
    @Excel(name = "本次车辆拉的箱量")
    private Long cntrQty;

    /** 散货运输时损耗数 */
    @Excel(name = "散货运输时损耗数")
    private BigDecimal gopodsLossQty;

    /** 本次车辆拉的重量 */
    @Excel(name = "本次车辆拉的重量")
    private BigDecimal cntrWeight;

    /** 散货运输时损耗率 */
    @Excel(name = "散货运输时损耗率")
    private BigDecimal gopodsLossrate;

    /** 回单备注 */
    @Excel(name = "回单备注")
    private String waybillRemarks;

    /** 散货运输时应付损耗金额 */
    @Excel(name = "散货运输时应付损耗金额")
    private BigDecimal gopodsLossamtCr;

    /** 应收结算数，集装是1 */
    @Excel(name = "应收结算数，集装是1")
    private BigDecimal qtyDr;

    /** 散货运输时应收损耗金额 */
    @Excel(name = "散货运输时应收损耗金额")
    private BigDecimal gopodsLossamtDr;

    /** 应付结算数，集装是1 */
    @Excel(name = "应付结算数，集装是1")
    private BigDecimal qtyCr;

    /** 应收运价 */
    @Excel(name = "应收运价")
    private BigDecimal freightPriceDr;

    /** 应付运价 */
    @Excel(name = "应付运价")
    private BigDecimal freightPriceCr;

    /** 应收运费=qtydr*pricedr */
    @Excel(name = "应收运费=qtydr*pricedr")
    private BigDecimal freightAmtDr;

    /** 应付运价 */
    @Excel(name = "应付运价")
    private BigDecimal freightAmtCr;

    /** trigger应收费用明细合计 */
    @Excel(name = "trigger应收费用明细合计")
    private BigDecimal feeitemDr;

    /** 应收垫付备注 */
    @Excel(name = "应收垫付备注")
    private String feeitemDrRemarks;

    /** trigger应付费用明细合计 */
    @Excel(name = "trigger应付费用明细合计")
    private BigDecimal feeitemCr;

    /** 应付垫付备注 */
    @Excel(name = "应付垫付备注")
    private String feeitemCrRemarks;

    /** 应收合计=运费 + 费用明细 */
    @Excel(name = "应收合计=运费 + 费用明细")
    private BigDecimal amtDr;

    /** 应付合计=运费+费用明细 */
    @Excel(name = "应付合计=运费+费用明细")
    private BigDecimal amtCr;

    /** 应收款账期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "应收款账期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date dueDateDr;

    /** 应付款账期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "应付款账期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date dueDateCr;

    /** 起始里程表数 */
    @Excel(name = "起始里程表数")
    private Long odometerFrom;

    /** 结束里程表数 */
    @Excel(name = "结束里程表数")
    private Long odometerEnd;

    /** 空车里程数 */
    @Excel(name = "空车里程数")
    private Long milesEmpty;

    /** 重车里程数 */
    @Excel(name = "重车里程数")
    private Long milesLoad;

    /** 总里程表数 */
    @Excel(name = "总里程表数")
    private Long miles;

    /** 车队成本司机提成 */
    @Excel(name = "车队成本司机提成")
    private BigDecimal driverbonus;

    /** 车队成本路桥费 */
    @Excel(name = "车队成本路桥费")
    private BigDecimal costtoll;

    /** 车队成本维修保养 */
    @Excel(name = "车队成本维修保养")
    private BigDecimal costmaintain;

    /** 车队成本其他费用 */
    @Excel(name = "车队成本其他费用")
    private BigDecimal costOth;

    /** 车队成本费用说明 */
    @Excel(name = "车队成本费用说明")
    private String costRemarks;

    /** 标准百公里油耗 */
    @Excel(name = "标准百公里油耗")
    private BigDecimal oilQtyper;

    /** 第一次加油量 */
    @Excel(name = "第一次加油量")
    private BigDecimal oilQty1;

    /** 第一次加油单价 */
    @Excel(name = "第一次加油单价")
    private BigDecimal oilPrice1;

    /** 第一次加油金额 */
    @Excel(name = "第一次加油金额")
    private BigDecimal oilAmt1;

    /** 第一次加油量 */
    @Excel(name = "第一次加油量")
    private BigDecimal oilQty2;

    /** 第一次加油单价 */
    @Excel(name = "第一次加油单价")
    private BigDecimal oilPrice2;

    /** 第二次加油金额 */
    @Excel(name = "第二次加油金额")
    private BigDecimal oilAmt2;

    /** 实际油耗量 */
    @Excel(name = "实际油耗量")
    private BigDecimal oilQty;

    /** 实际油耗单价 */
    @Excel(name = "实际油耗单价")
    private BigDecimal oilPrice;

    /** 成本实际油耗金额 */
    @Excel(name = "成本实际油耗金额")
    private BigDecimal oilAmt;

    /** 节省油耗量 */
    @Excel(name = "节省油耗量")
    private BigDecimal oilQtyBlc;

    /** 节省油耗金额 */
    @Excel(name = "节省油耗金额")
    private BigDecimal oilAmtBlc;

    /** 单趟利润=amtdr-amtcr */
    @Excel(name = "单趟利润=amtdr-amtcr")
    private BigDecimal profit;

    /** 是否需要给客户开发票(0不需要，1需要) */
    @Excel(name = "是否需要给客户开发票(0不需要，1需要)")
    private String invDrNeed;

    /** f发票已开t未开 */
    @Excel(name = "f发票已开t未开")
    private String invDrStatus;

    /** 税率 */
    @Excel(name = "税率")
    private BigDecimal invDrTaxrate;

    /** 税额 */
    @Excel(name = "税额")
    private BigDecimal invDrTaxamt;

    /** 开票日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "开票日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date invDrDate;

    /** 发票号 */
    @Excel(name = "发票号")
    private String invDrNo;

    /** 对账T已对账F未对账 */
    @Excel(name = "对账T已对账F未对账")
    private String accchkStaus;

    /** 状态(1新建，2暂存，6提交) */
    @Excel(name = "状态(1新建，2暂存，6提交)")
    private Long billStatus;

    /** 订单状态0新录入10车队安排20司机受理30提箱40装卸货50还卸柜60费用确认70回单 */
    @Excel(name = "订单状态0新录入10车队安排20司机受理30提箱40装卸货50还卸柜60费用确认70回单")
    private Long orderStatus;

    /** 付费对账日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "付费对账日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date accchkDateCr;

    /** 出口业务其他费用 */
    @Excel(name = "出口业务其他费用")
    private BigDecimal costomAmt01;

    /** 应收结算金额 */
    @Excel(name = "应收结算金额")
    private BigDecimal stlAmtDr;

    /** 进口业务其他费用 */
    @Excel(name = "进口业务其他费用")
    private BigDecimal costomAmt02;

    /** 结算日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "结算日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date stlDateDr;

    /** 修理洗车费 */
    @Excel(name = "修理洗车费")
    private BigDecimal costomAmt03;

    /** 应付结算金额 */
    @Excel(name = "应付结算金额")
    private BigDecimal stlAmtCr;

    /** 吊装费用 */
    @Excel(name = "吊装费用")
    private BigDecimal costomAmt04;

    /** 结算日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "结算日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date stlDateCr;

    /** 港杂费用 */
    @Excel(name = "港杂费用")
    private BigDecimal costomAmt05;

    /** 提箱费用 */
    @Excel(name = "提箱费用")
    private BigDecimal costomAmt06;

    /** 删除状态 */
    private String delFlag;

    /** 进口费用备注 */
    @Excel(name = "进口费用备注")
    private String costomStr01;

    /** 出口费用备注 */
    @Excel(name = "出口费用备注")
    private String costomStr02;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /**
     *  配载状态(正常NN, 重去重回主MM, 重去重回从MH)
     */
    @Excel(name = "配载状态(正常NN, 重去重回主MM, 重去重回从MH)")
    private String billKind;

    /**
     *  配载运单号
     */
    @Excel(name = "配载运单号")
    private String mBillNo;

    /** 付费发票金额 */
    @Excel(name = "付费发票金额")
    private BigDecimal invAmtCr;

    /** 收费发票金额 */
    @Excel(name = "收费发票金额")
    private BigDecimal invAmtDr;

    /** 付费发票日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "付费发票日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date invDateCr;

    /** 收费发票日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "收费发票日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date invDateDr;

    /** 付费对账金额 */
    @Excel(name = "付费对账金额")
    private BigDecimal accchkAmtCr;

    /** 收费对账金额 */
    @Excel(name = "收费对账金额")
    private BigDecimal accchkAmtDr;

    /** 收费对账日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "收费对账日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date accchkDateDr;
    @Excel(name = "业务利润")
    private BigDecimal profitBill;
    @Excel(name = "车利润")
    private BigDecimal profitCar;

    /**
     *  查询日期区间
     */
    private List<String> monthList;

    public BigDecimal getProfitCar() {
        return profitCar;
    }

    public void setProfitCar(BigDecimal profitCar) {
        this.profitCar = profitCar;
    }

    public BigDecimal getProfitBill() {
        return profitBill;
    }

    public void setProfitBill(BigDecimal profitBill) {
        this.profitBill = profitBill;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getpId() {
        return pId;
    }

    public void setpId(Long pId) {
        this.pId = pId;
    }

    public Long getOrgId() {
        return orgId;
    }

    public void setOrgId(Long orgId) {
        this.orgId = orgId;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public Long getCntrId() {
        return cntrId;
    }

    public void setCntrId(Long cntrId) {
        this.cntrId = cntrId;
    }

    public String getCntrNo() {
        return cntrNo;
    }

    public void setCntrNo(String cntrNo) {
        this.cntrNo = cntrNo;
    }

    public Long getCarcorPid() {
        return carcorPid;
    }

    public void setCarcorPid(Long carcorPid) {
        this.carcorPid = carcorPid;
    }

    public String getMblno() {
        return mblno;
    }

    public void setMblno(String mblno) {
        this.mblno = mblno;
    }

    public String getCarregNo() {
        return carregNo;
    }

    public void setCarregNo(String carregNo) {
        this.carregNo = carregNo;
    }

    public String getDriverName() {
        return driverName;
    }

    public void setDriverName(String driverName) {
        this.driverName = driverName;
    }

    public Long getDriverUserId() {
        return driverUserId;
    }

    public void setDriverUserId(Long driverUserId) {
        this.driverUserId = driverUserId;
    }

    public String getDriverTel() {
        return driverTel;
    }

    public void setDriverTel(String driverTel) {
        this.driverTel = driverTel;
    }

    public Date getPlanDate() {
        return planDate;
    }

    public void setPlanDate(Date planDate) {
        this.planDate = planDate;
    }

    public String getPlanRemarks() {
        return planRemarks;
    }

    public void setPlanRemarks(String planRemarks) {
        this.planRemarks = planRemarks;
    }

    public Date getAcceptDate() {
        return acceptDate;
    }

    public void setAcceptDate(Date acceptDate) {
        this.acceptDate = acceptDate;
    }

    public String getAcceptRemarks() {
        return acceptRemarks;
    }

    public void setAcceptRemarks(String acceptRemarks) {
        this.acceptRemarks = acceptRemarks;
    }

    public Long getCorpId() {
        return corpId;
    }

    public void setCorpId(Long corpId) {
        this.corpId = corpId;
    }

    public Date getLoadDate() {
        return loadDate;
    }

    public void setLoadDate(Date loadDate) {
        this.loadDate = loadDate;
    }

    public String getLoadRemarks() {
        return loadRemarks;
    }

    public void setLoadRemarks(String loadRemarks) {
        this.loadRemarks = loadRemarks;
    }

    public Date getMdLoadDate() {
        return mdLoadDate;
    }

    public void setMdLoadDate(Date mdLoadDate) {
        this.mdLoadDate = mdLoadDate;
    }

    public Date getOffData() {
        return offData;
    }

    public void setOffData(Date offData) {
        this.offData = offData;
    }

    public String getOffRemarks() {
        return offRemarks;
    }

    public void setOffRemarks(String offRemarks) {
        this.offRemarks = offRemarks;
    }

    public String getMdLoadRemarks() {
        return mdLoadRemarks;
    }

    public void setMdLoadRemarks(String mdLoadRemarks) {
        this.mdLoadRemarks = mdLoadRemarks;
    }

    public Date getUnLoadDate() {
        return unLoadDate;
    }

    public void setUnLoadDate(Date unLoadDate) {
        this.unLoadDate = unLoadDate;
    }

    public String getUnLoadRemarks() {
        return unLoadRemarks;
    }

    public void setUnLoadRemarks(String unLoadRemarks) {
        this.unLoadRemarks = unLoadRemarks;
    }

    public Date getWaybillDate() {
        return waybillDate;
    }

    public void setWaybillDate(Date waybillDate) {
        this.waybillDate = waybillDate;
    }

    public BigDecimal getQtyLoad() {
        return qtyLoad;
    }

    public void setQtyLoad(BigDecimal qtyLoad) {
        this.qtyLoad = qtyLoad;
    }

    public BigDecimal getQtyUnLoad() {
        return qtyUnLoad;
    }

    public void setQtyUnLoad(BigDecimal qtyUnLoad) {
        this.qtyUnLoad = qtyUnLoad;
    }

    public Long getCntrQty() {
        return cntrQty;
    }

    public void setCntrQty(Long cntrQty) {
        this.cntrQty = cntrQty;
    }

    public BigDecimal getGopodsLossQty() {
        return gopodsLossQty;
    }

    public void setGopodsLossQty(BigDecimal gopodsLossQty) {
        this.gopodsLossQty = gopodsLossQty;
    }

    public BigDecimal getCntrWeight() {
        return cntrWeight;
    }

    public void setCntrWeight(BigDecimal cntrWeight) {
        this.cntrWeight = cntrWeight;
    }

    public BigDecimal getGopodsLossrate() {
        return gopodsLossrate;
    }

    public void setGopodsLossrate(BigDecimal gopodsLossrate) {
        this.gopodsLossrate = gopodsLossrate;
    }

    public String getWaybillRemarks() {
        return waybillRemarks;
    }

    public void setWaybillRemarks(String waybillRemarks) {
        this.waybillRemarks = waybillRemarks;
    }

    public BigDecimal getGopodsLossamtCr() {
        return gopodsLossamtCr;
    }

    public void setGopodsLossamtCr(BigDecimal gopodsLossamtCr) {
        this.gopodsLossamtCr = gopodsLossamtCr;
    }

    public BigDecimal getQtyDr() {
        return qtyDr;
    }

    public void setQtyDr(BigDecimal qtyDr) {
        this.qtyDr = qtyDr;
    }

    public BigDecimal getGopodsLossamtDr() {
        return gopodsLossamtDr;
    }

    public void setGopodsLossamtDr(BigDecimal gopodsLossamtDr) {
        this.gopodsLossamtDr = gopodsLossamtDr;
    }

    public BigDecimal getQtyCr() {
        return qtyCr;
    }

    public void setQtyCr(BigDecimal qtyCr) {
        this.qtyCr = qtyCr;
    }

    public BigDecimal getFreightPriceDr() {
        return freightPriceDr;
    }

    public void setFreightPriceDr(BigDecimal freightPriceDr) {
        this.freightPriceDr = freightPriceDr;
    }

    public BigDecimal getFreightPriceCr() {
        return freightPriceCr;
    }

    public void setFreightPriceCr(BigDecimal freightPriceCr) {
        this.freightPriceCr = freightPriceCr;
    }

    public BigDecimal getFreightAmtDr() {
        return freightAmtDr;
    }

    public void setFreightAmtDr(BigDecimal freightAmtDr) {
        this.freightAmtDr = freightAmtDr;
    }

    public BigDecimal getFreightAmtCr() {
        return freightAmtCr;
    }

    public void setFreightAmtCr(BigDecimal freightAmtCr) {
        this.freightAmtCr = freightAmtCr;
    }

    public BigDecimal getFeeitemDr() {
        return feeitemDr;
    }

    public void setFeeitemDr(BigDecimal feeitemDr) {
        this.feeitemDr = feeitemDr;
    }

    public String getFeeitemDrRemarks() {
        return feeitemDrRemarks;
    }

    public void setFeeitemDrRemarks(String feeitemDrRemarks) {
        this.feeitemDrRemarks = feeitemDrRemarks;
    }

    public BigDecimal getFeeitemCr() {
        return feeitemCr;
    }

    public void setFeeitemCr(BigDecimal feeitemCr) {
        this.feeitemCr = feeitemCr;
    }

    public String getFeeitemCrRemarks() {
        return feeitemCrRemarks;
    }

    public void setFeeitemCrRemarks(String feeitemCrRemarks) {
        this.feeitemCrRemarks = feeitemCrRemarks;
    }

    public BigDecimal getAmtDr() {
        return amtDr;
    }

    public void setAmtDr(BigDecimal amtDr) {
        this.amtDr = amtDr;
    }

    public BigDecimal getAmtCr() {
        return amtCr;
    }

    public void setAmtCr(BigDecimal amtCr) {
        this.amtCr = amtCr;
    }

    public Date getDueDateDr() {
        return dueDateDr;
    }

    public void setDueDateDr(Date dueDateDr) {
        this.dueDateDr = dueDateDr;
    }

    public Date getDueDateCr() {
        return dueDateCr;
    }

    public void setDueDateCr(Date dueDateCr) {
        this.dueDateCr = dueDateCr;
    }

    public Long getOdometerFrom() {
        return odometerFrom;
    }

    public void setOdometerFrom(Long odometerFrom) {
        this.odometerFrom = odometerFrom;
    }

    public Long getOdometerEnd() {
        return odometerEnd;
    }

    public void setOdometerEnd(Long odometerEnd) {
        this.odometerEnd = odometerEnd;
    }

    public Long getMilesEmpty() {
        return milesEmpty;
    }

    public void setMilesEmpty(Long milesEmpty) {
        this.milesEmpty = milesEmpty;
    }

    public Long getMilesLoad() {
        return milesLoad;
    }

    public void setMilesLoad(Long milesLoad) {
        this.milesLoad = milesLoad;
    }

    public Long getMiles() {
        return miles;
    }

    public void setMiles(Long miles) {
        this.miles = miles;
    }

    public BigDecimal getDriverbonus() {
        return driverbonus;
    }

    public void setDriverbonus(BigDecimal driverbonus) {
        this.driverbonus = driverbonus;
    }

    public BigDecimal getCosttoll() {
        return costtoll;
    }

    public void setCosttoll(BigDecimal costtoll) {
        this.costtoll = costtoll;
    }

    public BigDecimal getCostmaintain() {
        return costmaintain;
    }

    public void setCostmaintain(BigDecimal costmaintain) {
        this.costmaintain = costmaintain;
    }

    public BigDecimal getCostOth() {
        return costOth;
    }

    public void setCostOth(BigDecimal costOth) {
        this.costOth = costOth;
    }

    public String getCostRemarks() {
        return costRemarks;
    }

    public void setCostRemarks(String costRemarks) {
        this.costRemarks = costRemarks;
    }

    public BigDecimal getOilQtyper() {
        return oilQtyper;
    }

    public void setOilQtyper(BigDecimal oilQtyper) {
        this.oilQtyper = oilQtyper;
    }

    public BigDecimal getOilQty1() {
        return oilQty1;
    }

    public void setOilQty1(BigDecimal oilQty1) {
        this.oilQty1 = oilQty1;
    }

    public BigDecimal getOilPrice1() {
        return oilPrice1;
    }

    public void setOilPrice1(BigDecimal oilPrice1) {
        this.oilPrice1 = oilPrice1;
    }

    public BigDecimal getOilAmt1() {
        return oilAmt1;
    }

    public void setOilAmt1(BigDecimal oilAmt1) {
        this.oilAmt1 = oilAmt1;
    }

    public BigDecimal getOilQty2() {
        return oilQty2;
    }

    public void setOilQty2(BigDecimal oilQty2) {
        this.oilQty2 = oilQty2;
    }

    public BigDecimal getOilPrice2() {
        return oilPrice2;
    }

    public void setOilPrice2(BigDecimal oilPrice2) {
        this.oilPrice2 = oilPrice2;
    }

    public BigDecimal getOilAmt2() {
        return oilAmt2;
    }

    public void setOilAmt2(BigDecimal oilAmt2) {
        this.oilAmt2 = oilAmt2;
    }

    public BigDecimal getOilQty() {
        return oilQty;
    }

    public void setOilQty(BigDecimal oilQty) {
        this.oilQty = oilQty;
    }

    public BigDecimal getOilPrice() {
        return oilPrice;
    }

    public void setOilPrice(BigDecimal oilPrice) {
        this.oilPrice = oilPrice;
    }

    public BigDecimal getOilAmt() {
        return oilAmt;
    }

    public void setOilAmt(BigDecimal oilAmt) {
        this.oilAmt = oilAmt;
    }

    public BigDecimal getOilQtyBlc() {
        return oilQtyBlc;
    }

    public void setOilQtyBlc(BigDecimal oilQtyBlc) {
        this.oilQtyBlc = oilQtyBlc;
    }

    public BigDecimal getOilAmtBlc() {
        return oilAmtBlc;
    }

    public void setOilAmtBlc(BigDecimal oilAmtBlc) {
        this.oilAmtBlc = oilAmtBlc;
    }

    public BigDecimal getProfit() {
        return profit;
    }

    public void setProfit(BigDecimal profit) {
        this.profit = profit;
    }

    public String getInvDrNeed() {
        return invDrNeed;
    }

    public void setInvDrNeed(String invDrNeed) {
        this.invDrNeed = invDrNeed;
    }

    public String getInvDrStatus() {
        return invDrStatus;
    }

    public void setInvDrStatus(String invDrStatus) {
        this.invDrStatus = invDrStatus;
    }

    public BigDecimal getInvDrTaxrate() {
        return invDrTaxrate;
    }

    public void setInvDrTaxrate(BigDecimal invDrTaxrate) {
        this.invDrTaxrate = invDrTaxrate;
    }

    public BigDecimal getInvDrTaxamt() {
        return invDrTaxamt;
    }

    public void setInvDrTaxamt(BigDecimal invDrTaxamt) {
        this.invDrTaxamt = invDrTaxamt;
    }

    public Date getInvDrDate() {
        return invDrDate;
    }

    public void setInvDrDate(Date invDrDate) {
        this.invDrDate = invDrDate;
    }

    public String getInvDrNo() {
        return invDrNo;
    }

    public void setInvDrNo(String invDrNo) {
        this.invDrNo = invDrNo;
    }

    public String getAccchkStaus() {
        return accchkStaus;
    }

    public void setAccchkStaus(String accchkStaus) {
        this.accchkStaus = accchkStaus;
    }

    public Long getBillStatus() {
        return billStatus;
    }

    public void setBillStatus(Long billStatus) {
        this.billStatus = billStatus;
    }

    public Long getOrderStatus() {
        return orderStatus;
    }

    public void setOrderStatus(Long orderStatus) {
        this.orderStatus = orderStatus;
    }

    public Date getAccchkDateCr() {
        return accchkDateCr;
    }

    public void setAccchkDateCr(Date accchkDateCr) {
        this.accchkDateCr = accchkDateCr;
    }

    public BigDecimal getCostomAmt01() {
        return costomAmt01;
    }

    public void setCostomAmt01(BigDecimal costomAmt01) {
        this.costomAmt01 = costomAmt01;
    }

    public BigDecimal getStlAmtDr() {
        return stlAmtDr;
    }

    public void setStlAmtDr(BigDecimal stlAmtDr) {
        this.stlAmtDr = stlAmtDr;
    }

    public BigDecimal getCostomAmt02() {
        return costomAmt02;
    }

    public void setCostomAmt02(BigDecimal costomAmt02) {
        this.costomAmt02 = costomAmt02;
    }

    public Date getStlDateDr() {
        return stlDateDr;
    }

    public void setStlDateDr(Date stlDateDr) {
        this.stlDateDr = stlDateDr;
    }

    public BigDecimal getCostomAmt03() {
        return costomAmt03;
    }

    public void setCostomAmt03(BigDecimal costomAmt03) {
        this.costomAmt03 = costomAmt03;
    }

    public BigDecimal getStlAmtCr() {
        return stlAmtCr;
    }

    public void setStlAmtCr(BigDecimal stlAmtCr) {
        this.stlAmtCr = stlAmtCr;
    }

    public BigDecimal getCostomAmt04() {
        return costomAmt04;
    }

    public void setCostomAmt04(BigDecimal costomAmt04) {
        this.costomAmt04 = costomAmt04;
    }

    public Date getStlDateCr() {
        return stlDateCr;
    }

    public void setStlDateCr(Date stlDateCr) {
        this.stlDateCr = stlDateCr;
    }

    public BigDecimal getCostomAmt05() {
        return costomAmt05;
    }

    public void setCostomAmt05(BigDecimal costomAmt05) {
        this.costomAmt05 = costomAmt05;
    }

    public BigDecimal getCostomAmt06() {
        return costomAmt06;
    }

    public void setCostomAmt06(BigDecimal costomAmt06) {
        this.costomAmt06 = costomAmt06;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getCostomStr01() {
        return costomStr01;
    }

    public void setCostomStr01(String costomStr01) {
        this.costomStr01 = costomStr01;
    }

    public String getCostomStr02() {
        return costomStr02;
    }

    public void setCostomStr02(String costomStr02) {
        this.costomStr02 = costomStr02;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public String getBillKind() {
        return billKind;
    }

    public void setBillKind(String billKind) {
        this.billKind = billKind;
    }

    public String getmBillNo() {
        return mBillNo;
    }

    public void setmBillNo(String mBillNo) {
        this.mBillNo = mBillNo;
    }

    public List<String> getMonthList() {
        return monthList;
    }

    public void setMonthList(List<String> monthList) {
        this.monthList = monthList;
    }

    public BigDecimal getInvAmtCr() {
        return invAmtCr;
    }

    public void setInvAmtCr(BigDecimal invAmtCr) {
        this.invAmtCr = invAmtCr;
    }

    public BigDecimal getInvAmtDr() {
        return invAmtDr;
    }

    public void setInvAmtDr(BigDecimal invAmtDr) {
        this.invAmtDr = invAmtDr;
    }

    public Date getInvDateCr() {
        return invDateCr;
    }

    public void setInvDateCr(Date invDateCr) {
        this.invDateCr = invDateCr;
    }

    public Date getInvDateDr() {
        return invDateDr;
    }

    public void setInvDateDr(Date invDateDr) {
        this.invDateDr = invDateDr;
    }

    public BigDecimal getAccchkAmtCr() {
        return accchkAmtCr;
    }

    public void setAccchkAmtCr(BigDecimal accchkAmtCr) {
        this.accchkAmtCr = accchkAmtCr;
    }

    public BigDecimal getAccchkAmtDr() {
        return accchkAmtDr;
    }

    public void setAccchkAmtDr(BigDecimal accchkAmtDr) {
        this.accchkAmtDr = accchkAmtDr;
    }

    public Date getAccchkDateDr() {
        return accchkDateDr;
    }

    public void setAccchkDateDr(Date accchkDateDr) {
        this.accchkDateDr = accchkDateDr;
    }

    @Override
    public String toString() {
        return "Ftmsorderbillscars{" +
                "id=" + id +
                ", pId=" + pId +
                ", orgId=" + orgId +
                ", orderNo='" + orderNo + '\'' +
                ", cntrId=" + cntrId +
                ", corpId=" + corpId +
                ", cntrNo='" + cntrNo + '\'' +
                ", carcorPid=" + carcorPid +
                ", mblno='" + mblno + '\'' +
                ", carregNo='" + carregNo + '\'' +
                ", driverName='" + driverName + '\'' +
                ", driverUserId=" + driverUserId +
                ", driverTel='" + driverTel + '\'' +
                ", planDate=" + planDate +
                ", planRemarks='" + planRemarks + '\'' +
                ", acceptDate=" + acceptDate +
                ", acceptRemarks='" + acceptRemarks + '\'' +
                ", loadDate=" + loadDate +
                ", loadRemarks='" + loadRemarks + '\'' +
                ", mdLoadDate=" + mdLoadDate +
                ", offData=" + offData +
                ", offRemarks='" + offRemarks + '\'' +
                ", mdLoadRemarks='" + mdLoadRemarks + '\'' +
                ", unLoadDate=" + unLoadDate +
                ", unLoadRemarks='" + unLoadRemarks + '\'' +
                ", waybillDate=" + waybillDate +
                ", qtyLoad=" + qtyLoad +
                ", qtyUnLoad=" + qtyUnLoad +
                ", cntrQty=" + cntrQty +
                ", gopodsLossQty=" + gopodsLossQty +
                ", cntrWeight=" + cntrWeight +
                ", gopodsLossrate=" + gopodsLossrate +
                ", waybillRemarks='" + waybillRemarks + '\'' +
                ", gopodsLossamtCr=" + gopodsLossamtCr +
                ", qtyDr=" + qtyDr +
                ", gopodsLossamtDr=" + gopodsLossamtDr +
                ", qtyCr=" + qtyCr +
                ", freightPriceDr=" + freightPriceDr +
                ", freightPriceCr=" + freightPriceCr +
                ", freightAmtDr=" + freightAmtDr +
                ", freightAmtCr=" + freightAmtCr +
                ", feeitemDr=" + feeitemDr +
                ", feeitemDrRemarks='" + feeitemDrRemarks + '\'' +
                ", feeitemCr=" + feeitemCr +
                ", feeitemCrRemarks='" + feeitemCrRemarks + '\'' +
                ", amtDr=" + amtDr +
                ", amtCr=" + amtCr +
                ", dueDateDr=" + dueDateDr +
                ", dueDateCr=" + dueDateCr +
                ", odometerFrom=" + odometerFrom +
                ", odometerEnd=" + odometerEnd +
                ", milesEmpty=" + milesEmpty +
                ", milesLoad=" + milesLoad +
                ", miles=" + miles +
                ", driverbonus=" + driverbonus +
                ", costtoll=" + costtoll +
                ", costmaintain=" + costmaintain +
                ", costOth=" + costOth +
                ", costRemarks='" + costRemarks + '\'' +
                ", oilQtyper=" + oilQtyper +
                ", oilQty1=" + oilQty1 +
                ", oilPrice1=" + oilPrice1 +
                ", oilAmt1=" + oilAmt1 +
                ", oilQty2=" + oilQty2 +
                ", oilPrice2=" + oilPrice2 +
                ", oilAmt2=" + oilAmt2 +
                ", oilQty=" + oilQty +
                ", oilPrice=" + oilPrice +
                ", oilAmt=" + oilAmt +
                ", oilQtyBlc=" + oilQtyBlc +
                ", oilAmtBlc=" + oilAmtBlc +
                ", profit=" + profit +
                ", invDrNeed='" + invDrNeed + '\'' +
                ", invDrStatus='" + invDrStatus + '\'' +
                ", invDrTaxrate=" + invDrTaxrate +
                ", invDrTaxamt=" + invDrTaxamt +
                ", invDrDate=" + invDrDate +
                ", invDrNo='" + invDrNo + '\'' +
                ", accchkStaus='" + accchkStaus + '\'' +
                ", billStatus=" + billStatus +
                ", orderStatus=" + orderStatus +
                ", accchkDateCr=" + accchkDateCr +
                ", costomAmt01=" + costomAmt01 +
                ", stlAmtDr=" + stlAmtDr +
                ", costomAmt02=" + costomAmt02 +
                ", stlDateDr=" + stlDateDr +
                ", costomAmt03=" + costomAmt03 +
                ", stlAmtCr=" + stlAmtCr +
                ", costomAmt04=" + costomAmt04 +
                ", stlDateCr=" + stlDateCr +
                ", costomAmt05=" + costomAmt05 +
                ", costomAmt06=" + costomAmt06 +
                ", delFlag='" + delFlag + '\'' +
                ", costomStr01='" + costomStr01 + '\'' +
                ", costomStr02='" + costomStr02 + '\'' +
                ", remarks='" + remarks + '\'' +
                ", billKind='" + billKind + '\'' +
                ", mBillNo='" + mBillNo + '\'' +
                ", invAmtCr=" + invAmtCr +
                ", invAmtDr=" + invAmtDr +
                ", invDateCr=" + invDateCr +
                ", invDateDr=" + invDateDr +
                ", accchkAmtCr=" + accchkAmtCr +
                ", accchkAmtDr=" + accchkAmtDr +
                ", accchkDateDr=" + accchkDateDr +
                ", monthList=" + monthList +
                ", profitBill=" + profitBill +
                ", profitCar=" + profitCar +
                '}';
    }
}
